//
//  ViewController.m
//  Test TableView
//
//  Created by Xu Wenbing on 12-8-25.
//  Copyright (c) 2012年 Xu Wenbing. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    NSArray *array=[[NSArray alloc] initWithObjects:@"一年存贷3.33％",@"二年存贷4.02％",@"三年存贷5.05％",@"四年存贷5.5％", nil];

    self.listData=array;
    [array release];
    
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}


#pragma mark -
#pragma mark Table View Data Source Methods

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [self.listData count];
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *SimpleTableIdentifier=@"SimpleTableIdentifier";
    
    UITableViewCell *cell=[tableView dequeueReusableCellWithIdentifier:SimpleTableIdentifier];
    if(cell==nil){
        cell=[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:SimpleTableIdentifier];
    }
    
    UIImage *image=[UIImage imageNamed:@"star.png"];
    cell.imageView.image=image;
    
    UIImage *image2=[UIImage imageNamed:@"star2.png"];
    cell.imageView.highlightedImage=image2;
    
    NSUInteger row=[indexPath row];
    cell.textLabel.text=[self.listData objectAtIndex:row];
    cell.textLabel.font=[UIFont boldSystemFontOfSize:25];
    if (row < 7)
        cell.detailTextLabel.text = @"解析1";
    else
        cell.detailTextLabel.text = @"解析2";
    
    return cell;
    
}

#pragma mark -
#pragma mark -
#pragma mark Table Delegate Methods
-(NSInteger)tableView:(UITableView *)tableView indentationLevelForRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSUInteger row = 2;
    return row;
}

-(NSIndexPath *)tableView:(UITableView *)tableView willSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSUInteger row =[indexPath row];
    if(row==0)
        return nil;
    return indexPath;

}

-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
   
    NSUInteger row=[indexPath row];
    NSString *rowValue=[self.listData objectAtIndex:row];
    NSString *message=[[NSString alloc] initWithFormat:@"你 选择了 %@", rowValue];
    UIAlertView *alert = [[UIAlertView alloc]
                          initWithTitle:@"行选择!"
                          message:message
                          delegate:nil
                          cancelButtonTitle:@"已经选择完毕！"
                          otherButtonTitles:nil];
    [alert show];
    
    [tableView deselectRowAtIndexPath:indexPath animated:YES];

}


-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    return 57;
}


@end
